## dash 0.4.25

=== Makefile ===
#	$NetBSD: Makefile,v 1.63 2003/01/22 20:36:03 dsl Exp $
#	@(#)Makefile	8.4 (Berkeley) 5/5/95

.include <bsd.own.mk>

YHEADER=1
PROG=	sh
SHSRCS=	alias.c arith_yylex.c cd.c error.c eval.c exec.c expand.c \
	histedit.c input.c jobs.c mail.c main.c memalloc.c miscbltin.c \
	mystring.c options.c parser.c redir.c show.c trap.c output.c var.c \
	test.c printf.c times.c
GENSRCS=arith.c arith.h builtins.c builtins.h init.c nodes.c \
	nodes.h signames.c syntax.c syntax.h token.h
SRCS=	${SHSRCS} ${GENSRCS}

YFLAGS=	-d

CPPFLAGS+=-DSHELL -I. -I${.CURDIR}
#XXX: For testing only.
#CPPFLAGS+=-DDEBUG=1
#CFLAGS+=-funsigned-char
#TARGET_CHARFLAG?= -DTARGET_CHAR="unsigned char" -funsigned-char

.ifdef SMALLPROG
CPPFLAGS+=-DSMALL
.endif

.ifdef	HETIO
SHSRCS+=hetio.c
CPPFLAGS+=-DHETIO
.endif

.PATH:	${.CURDIR}/bltin

CLEANFILES+= mkinit mknodes mksyntax
CLEANFILES+= ${GENSRCS} y.tab.h

token.h: mktokens
	sh ${.ALLSRC}

builtins.c builtins.h: mkbuiltins shell.h builtins.def
	sh ${.ALLSRC} ${.OBJDIR} '${CFLAGS}'

init.c: mkinit ${SHSRCS}
	./${.ALLSRC}

nodes.c nodes.h: mknodes nodetypes nodes.c.pat
	./${.ALLSRC}

syntax.c syntax.h: mksyntax
	./${.ALLSRC}

signames.c: mksignames
	./${.ALLSRC}

mkinit: mkinit.c
	${HOST_LINK.c} -o mkinit ${.IMPSRC}

mknodes: mknodes.c
	${HOST_LINK.c} -o mknodes ${.IMPSRC}

mksyntax: mksyntax.c
	${HOST_LINK.c} ${TARGET_CHARFLAG} -o mksyntax ${.IMPSRC}

.include <bsd.prog.mk>

${OBJS}: arith.h builtins.h nodes.h syntax.h token.h

=== debian/changelog ===
dash (0.4.25) unstable; urgency=low

  * Fixed use-after-free bug in setvareq (Vladimir N. Oleynik).
  * Fixed value of expdest after _STPUTC in expandarg (closes: #238265).

 -- Herbert Xu <herbert@debian.org>  Thu, 18 Mar 2004 20:55:57 +1100

dash (0.4.24) unstable; urgency=low

  * Fixed segmentation fault when PWD is undefined.

 -- Herbert Xu <herbert@debian.org>  Tue,  9 Mar 2004 19:58:41 +1100

dash (0.4.23) unstable; urgency=low

  * Verify PWD before using it.

 -- Herbert Xu <herbert@debian.org>  Mon,  8 Mar 2004 20:12:27 +1100

dash (0.4.22) unstable; urgency=low

  * Read PWD from environment (closes: #228659).
  * Added Danish debconf translation (Claus Hindsgaul, closes: #233756).
  * Added check_gcc to support gcc 2.95 (closes: #235933).
  * Perform here-doc expansion on PS1/PS2/PS4 (closes: #230858).

 -- Herbert Xu <herbert@debian.org>  Sun,  7 Mar 2004 21:50:04 +1100

dash (0.4.21) unstable; urgency=low

  * Fixed typo that broke ulimit (GCS, closes: #228369).

 -- Herbert Xu <herbert@debian.org>  Mon, 19 Jan 2004 19:02:32 +1100

dash (0.4.20) unstable; urgency=low

  * Added Dutch debconf translation (Tim Dijkstra, closes: #218904).
  * Check existence RLIMIT symbols for ulimit.
  * Removed table lookup in errmsg.
  * Restored NULL check in cmdtxt.
  * Restored ash postrm to purge debconf entries (closes: #221913).
  * Fixed exit status of exit in EXIT trap (closes: #227734).
  * Updated Brazilian debconf translation (Andre Luis Lopes, closes: #228095).
  * Restored goodname check in prehash.

 -- Herbert Xu <herbert@debian.org>  Sat, 17 Jan 2004 09:57:14 +1100

dash (0.4.19) unstable; urgency=low

  * Fixed handling of evalskip in dotcmd (closes: #212975).
  * Updated Russian debconf translation (Ilgiz Kalmetev, closes: #214333).
  * Added Portugese debconf translation (Bruno Rodrigues, closes: #216214).
  * Updated Spanish debconf translation (Carlos Valdivia, closes: #216338).
  * Fixed length expansion of special variables (closes: #216767).
  * Replaced umask builtin with pdksh version.
  * Reverted bogus eval change in 0.3.1-20.
  * Added vmemory/locks support in ulimit.
  * Call install -D instead of cp for merged template.

 -- Herbert Xu <herbert@debian.org>  Wed, 29 Oct 2003 22:14:22 +1100

dash (0.4.18) unstable; urgency=low

  * Fixed boundary checks in getopts.
  * Updated Japanese debconf template (Tomohiro KUBOTA, closes: #192382).
  * Use -falign-* instead -malign-*.
  * Use strtoll for parsing integers in arith expansion.
  * Added support for add-shell/remove-shell (closes: #163131).
  * Fixed JOBS ifdefs in sprint_status (closes: #211009).
  * Fixed bit-wise or in arith expansion (Mototoshi KONDO, closes: #212825).
  * Print PS4 on previous stderr.
  * Converted debconf templates to gettext (Christian Perrier,
    closes: #200112).

 -- Herbert Xu <herbert@debian.org>  Sat, 27 Sep 2003 14:26:36 +1000

dash (0.4.17) unstable; urgency=low

  * Reset rehash when recylcing cmd entries.
  * Fixed null arg0 segfault with -c (closes: #191687).
  * Relocate job pointers in makejob (closes: #191595).

 -- Herbert Xu <herbert@debian.org>  Sat,  3 May 2003 20:57:46 +1000

dash (0.4.16) unstable; urgency=low

  * Fixed printf so that exit status is cleared on entry.
  * Call nextopt() in printf.
  * Fixed command substitution corruption by grabbing expdest in expbackq
    (closes: #187896).

 -- Herbert Xu <herbert@debian.org>  Mon,  7 Apr 2003 21:21:30 +1000

dash (0.4.15) unstable; urgency=low

  * Fixed octal escapes in echo/printf (closes: #187827).

 -- Herbert Xu <herbert@debian.org>  Sun,  6 Apr 2003 20:45:38 +1000

dash (0.4.14) unstable; urgency=low

  * Added missing newline when printing in dowait.
  * Do not print status in dowait when stopped.
  * Fixed job status display.
  * Fixed current job setting.
  * Fixed kill segfault with no arguments (closes: #187189).
  * Fixed sorting of set output.
  * Removed setvar builtin.

 -- Herbert Xu <herbert@debian.org>  Thu,  3 Apr 2003 20:38:33 +1000

dash (0.4.13) unstable; urgency=low

  * Fixed precision type on 64 bit systems in showvars.

 -- Herbert Xu <herbert@debian.org>  Wed, 26 Mar 2003 20:00:03 +1100

dash (0.4.12) unstable; urgency=low

  * Fixed dash_errno build problem with gcc 3.2.

 -- Herbert Xu <herbert@debian.org>  Tue, 25 Mar 2003 22:28:50 +1100

dash (0.4.11) unstable; urgency=low

  * Removed unused pgrp field from job structure.
  * Free jobs when calling wait with no arguments.
  * Fixed build problem with bison.
  * Merged changes from NetBSD 20030123.
   . printf:
    - Fixed mklong sefault.
    - Fixed precision/field width with %b.
   . Improved option parsing of command(1).
   . Added rudimentary support for PS4.
  * Moved builtin flags into builtins.def.
  * Updated Spanish debconf template (Carlos Valdivia Yage, closes: #178359).
  * Fixed ordering of redirection versus assignment substitution.
  * Fixed potential setvareq memory leaks.
  * Use bison instead of byacc.
  * Fixed wait(1) race condition.
  * Fixed alignment memory corruption bug in growstackblock().
  * Fixed potential memory corruption in parsing position parameters.
  * Fixed getopts done check.

 -- Herbert Xu <herbert@debian.org>  Mon, 24 Mar 2003 20:42:29 +1100

dash (0.4.10) unstable; urgency=low

  * Fixed redirection fd leak when execing.

 -- Herbert Xu <herbert@debian.org>  Sun, 19 Jan 2003 13:25:41 +1100

dash (0.4.9) unstable; urgency=low

  * Reset exitstatus in evalsubshell if backgnd is true.
  * Fixed glibc glob syntax error in expand.c.

 -- Herbert Xu <herbert@debian.org>  Sat, 11 Jan 2003 16:04:02 +1100

dash (0.4.8) unstable; urgency=low

  * Removed backgnd flag from ncmd due to previous redirection change.
  * Set lim after the stack stablises in updatepwd (closes: #173884).
  * Do not clobber the exitstatus after redirection.

 -- Herbert Xu <herbert@debian.org>  Mon, 23 Dec 2002 19:50:06 +1100

dash (0.4.7) unstable; urgency=low

  * Merged clearredir with reset code in redir.c.


=== debian/control ===
Source: dash
Section: shells
Priority: optional
Maintainer: Herbert Xu <herbert@debian.org>
Build-Depends: bison, debhelper (>= 4), pmake
Standards-Version: 3.6.1

Package: dash
Architecture: any
Pre-Depends: ${shlibs:Depends}
Description: The Debian Almquist Shell
 "dash" is a POSIX compliant shell that is much smaller than "bash".
 We take advantage of that by making it the shell on the installation
 root floppy, where space is at a premium.
 .
 It can be usefully installed as /bin/sh (because it executes scripts
 somewhat faster than "bash"), or as the default shell either of root
 or of a second user with a userid of 0 (because it depends on fewer
 libraries, and is therefore less likely to be affected by an upgrade
 problem or a disk failure).  It is also useful for checking that a
 script uses only POSIX syntax.
 .
 "bash" is a better shell for most users, since it has some nice
 features absent from "dash", and is a required part of the system.

Package: dash-udeb
Architecture: any
Depends: ${shlibs:Depends}
Section: debian-installer
Priority: extra
Description: The Debian Almquist Shell for boot floppies
 "dash" is a POSIX compliant shell that is much smaller than "bash".
 We take advantage of that by making it the shell on the installation
 root floppy, where space is at a premium.
 .
 It can be usefully installed as /bin/sh (because it executes scripts
 somewhat faster than "bash"), or as the default shell either of root
 or of a second user with a userid of 0 (because it depends on fewer
 libraries, and is therefore less likely to be affected by an upgrade
 problem or a disk failure).  It is also useful for checking that a
 script uses only POSIX syntax.
 .
 "bash" is a better shell for most users, since it has some nice
 features absent from "dash", and is a required part of the system.

Package: ash
Architecture: all
Pre-Depends: dash
Description: Compatibility package for the Debian Almquist Shell
 This package exists so that users of the "ash" package can upgrade to the
 "dash" package which replaces the former.  It includes the /bin/ash symlink.
 You can remove this package if you do not use /bin/ash explicitly.

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.44 2004/03/03 09:49:29 herbert Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

check_gcc = $(shell if $(CC) $(CFLAGS) $(1) -S -o /dev/null -xc /dev/null > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

CDEF := \
	-Wall -DBSD=1 -DSMALL -D_GNU_SOURCE -DGLOB_BROKEN -DHAVE_VASPRINTF=1 \
	-DIFS_BROKEN \
	-D__COPYRIGHT\(x\)= -D__RCSID\(x\)= -D_DIAGASSERT\(x\)=

OPT := -g -O2 -fstrict-aliasing
OPTSM := -g -Os -fstrict-aliasing -fomit-frame-pointer -DREALLY_SMALL

ifeq ($(DEB_HOST_ARCH),i386)
OPTSM += \
	$(call check_gcc,-falign-loops=1,-malign-loops=0) \
	$(call check_gcc,-falign-jumps=1,-malign-jumps=0) \
	$(call check_gcc,-falign-functions=1,-malign-functions=0) \
	-mpreferred-stack-boundary=2 -DUSE_NORETURN
endif

build: setup-stamp
	dh_testdir

	pmake CFLAGS:='$(CDEF) $(OPT)' \
		YACC:=bison
	MAKEOBJDIR=obj-udeb pmake CFLAGS:='$(CDEF) $(OPTSM)' \
		YACC:=bison

setup: setup-stamp
setup-stamp:
	rm -rf obj obj-udeb
	mkdir obj obj-udeb
	chmod u+x debian/bsdyacc
	touch setup-stamp

predist:
	po2debconf debian/dash.templates > debian/dash.templates.merged

clean:
	dh_testdir
	dh_testroot
	rm -f setup-stamp

	rm -rf obj obj-udeb

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install obj/sh debian/dash/bin/dash
	install -m 644 sh.1 debian/dash/usr/share/man/man1/dash.1
	install obj-udeb/sh debian/dash-udeb/bin/dash
	ln -s dash debian/dash-udeb/bin/sh
	ln -s dash debian/ash/bin/ash
	ln -s dash.1.gz debian/ash/usr/share/man/man1/ash.1.gz

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: debian/dash.templates.merged
	dh_testdir
	dh_testroot
	dh_installdebconf
	if ! dh_testversion 4.1.16; then \
		install -D debian/dash.templates.merged \
			debian/dash/DEBIAN/templates; \
	fi
	dh_installdocs -Ndash-udeb
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installchangelogs -Ndash-udeb
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip
endif
	dh_compress
	dh_fixperms
	dh_installdeb -Ndash-udeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture-dependent files here.
binary-arch: install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

	for i in ../dash-udeb_*.deb; do mv $$i $${i%deb}udeb; done
	sed '/^[^ ]*\.udeb/d; s/^\(dash-udeb_[^ ]*\.\)deb/\1udeb/' \
		debian/files > debian/files.new
	mv debian/files.new debian/files

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary binary-common install \
	setup predist

## dash 0.5.0

=== DESCRIPTION ===
Package: dash
Title: An Interface to the 'dash' Ecosystem for Authoring Reactive Web
        Applications
Version: 0.5.0
Authors@R: c(person("Chris", "Parmer", role = c("aut"), email = "chris@plotly.com"), person("Ryan Patrick", "Kyle", role = c("aut", "cre"), comment = c(ORCID = "0000-0001-5829-9867"), email = "ryan@plotly.com"), person("Carson", "Sievert", role = c("aut"), comment = c(ORCID = "0000-0002-4958-2844")), person("Hammad", "Khan", role = c("aut"), email = "hammadkhan@plotly.com"), person(family = "Plotly Technologies", role = "cph")) 
Description: A framework for building analytical web applications, 'dash' offers a pleasant and productive development experience. No JavaScript required.
Depends: R (>= 3.0.2)
Imports: dashHtmlComponents (== 1.0.3), dashCoreComponents (== 1.10.0),
        dashTable (== 4.7.0), R6, fiery (> 1.0.0), routr (> 0.2.0),
        plotly, reqres (>= 0.2.3), jsonlite, htmltools, assertthat,
        digest, base64enc, mime, crayon, brotli
Suggests: testthat
Collate: 'utils.R' 'dependencies.R' 'dash-package.R' 'dash.R'
        'imports.R' 'print.R' 'internal.R'
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
KeepSource: true
RoxygenNote: 7.1.0
URL: https://github.com/plotly/dashR
BugReports: https://github.com/plotly/dashR/issues
NeedsCompilation: no
Packaged: 2020-05-29 14:56:48 UTC; rpkyle
Author: Chris Parmer [aut],
  Ryan Patrick Kyle [aut, cre] (<https://orcid.org/0000-0001-5829-9867>),
  Carson Sievert [aut] (<https://orcid.org/0000-0002-4958-2844>),
  Hammad Khan [aut],
  Plotly Technologies [cph]
Maintainer: Ryan Patrick Kyle <ryan@plotly.com>
Repository: CRAN
Date/Publication: 2020-06-04 09:40:06 UTC

## dash 0.5.8

=== debian/changelog ===
dash (0.5.8-2.10) unstable; urgency=medium

  [ Simon McVittie ]
  * Add an autopkgtest to verify that /bin/sh remains usable
    (Closes: #888259).

  [ Andrew Shadura ]
  * Add dash.preinst and friends to clean.
  * Document where the sources are and how to work with them
    in README.source.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 25 Jan 2018 08:14:33 +0100

dash (0.5.8-2.9) unstable; urgency=medium

  [ Sven Joachim ]
  * Non-maintainer upload.
  * Re-add the symlink for the sh manpage (Fully closes: #888235)

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 24 Jan 2018 08:19:41 +0100

dash (0.5.8-2.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship a /bin/sh symlink (Closes: #888235).
  * Don't quote dh arguments needlessly.
  * Drop old irrelevant postinst/postrm bits, use dh-generated ones instead.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 24 Jan 2018 08:02:23 +0100

dash (0.5.8-2.7) unstable; urgency=medium

  [ James Cowgill ]
  * Non-maintainer upload.
  * Move dash from /usr/bin to /bin. (Closes: #888180)

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 23 Jan 2018 22:51:37 +0100

dash (0.5.8-2.6) unstable; urgency=medium

  * Non-maintainer upload.

  [ Marc Deslauriers ]
  * Drop privileges when euid != uid as a security measure
    (Closes: #734869, LP: #1215660)
    - debian/diff/9001-Add-privmode-Part-1.diff
    - debian/diff/9002-Add-privmode-Part-2.diff

  [ Jonathan Nieder ]
  * debian/dash.preinst:
    - rewrite in C (closes: #604873).
    - if dash's copy of /bin/sh is not already diverted, divert it
      on behalf of bash.  This ensures extracting a new version of
      dash does not overwrite /bin/sh and handling of that symlink
      is left to postinst.  Likewise for .../man/man1/sh.1.gz.
    - if /bin/sh is not executable (for example because it is a
      symlink to a nonexistent file), replace it with a symlink to
      dash.  Likewise for /usr/share/man/man1/sh.1.gz.
  * debian/dash.postinst:
    - remove workaround for dpkg bug #160848 ("dpkg-divert --remove"
      silently enabling --rename).  The dash package already depends
      on dpkg 1.15.0 or later, which has the fix.
    - respect local diversions.
    - clarify.

  [ Andrew Shadura ]
  * Refresh patches to apply cleanly.
  * Convert the package to 3.0 (quilt) format.
  * Use debhelper 10 (and debhelper at all!).
  * Move the git repository to Salsa.
  * Add gbp.conf and use DEP-14 branch naming.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 23 Jan 2018 15:13:35 +0100

dash (0.5.8-2.5) unstable; urgency=low

  * Non-maintainer upload.

  [ Reiner Herrmann ]
  * Improve build reproducibility: set LC_ALL instead of LC_COLLATE to C.

  [ HW42 ]
  * Improve build reproducibility: avoid exec call which embeds different paths
    between different system shells. (Closes: #825643)

 -- Ximin Luo <infinity0@debian.org>  Wed, 28 Jun 2017 18:26:52 +0200

dash (0.5.8-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't execute binary files as scripts. (Closes: #816313)
  * printf '\e' (Closes: #816295)
  * Fix bad permissions on dash.md5sums (Closes: #832173)

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 24 Jan 2017 06:16:56 +0100

dash (0.5.8-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by adding build-arch and build-indep targets to debian/rules.
    Thanks to Sven Joachim <svenjoac@gmx.de> for the initial patch.
    Closes: #829666

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 05 Jul 2016 21:59:04 +0000

dash (0.5.8-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply Jérémy Bobbio's patches to make dash reproducible.
    (Closes: #774425)

 -- Niels Thykier <niels@thykier.net>  Sat, 12 Mar 2016 09:05:01 +0000

dash (0.5.8-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Marcin Juszkiewicz ]
  * Ensure correct strip is called when cross-building (closes: #665965)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 09 Jan 2016 18:35:21 +0100

dash (0.5.8-2) experimental; urgency=medium

  * debian/rules: pass --disable-lineno option to configure (thx Sven
    Joachim, closes: #766048).

 -- Gerrit Pape <pape@smarden.org>  Mon, 20 Oct 2014 17:46:03 +0000

dash (0.5.8-1) experimental; urgency=medium

  * new upstream release (closes: #598238).
    * 0003-VAR-Disable-LINENO-support.diff: remove; upstream now has
      configure --disable-lineno option.
  * debian/rules: pass --enable-fnmatch option to configure
    (closes: #763407).
  * debian/po/sr.po: new; [INTL:sr] Serbian cyrillic translation of
    debconf template (thx Zlatan Todoric, closes: #635069).

 -- Gerrit Pape <pape@smarden.org>  Wed, 01 Oct 2014 08:53:14 +0000

dash (0.5.7-4) unstable; urgency=low

  * Thx Michael Gilbert for NMU.
    * 0006-JOBS-address-format-security-build-error.diff: new: address
      format-security build error (patch from Simon Ruderich).
  * debian/rules: make DEB_BUILD_OPTIONS=diet build working again.
  * debian/diff/0007-EVAL-Report-I-O-error-on-stdout.diff: new: eval: report
    I/O error on stdout (closes: #690473).

 -- Gerrit Pape <pape@smarden.org>  Wed, 08 Jan 2014 11:54:11 +0000

dash (0.5.7-3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable build-hardening flags (closes: #662721).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 25 Dec 2013 13:46:03 -0500

dash (0.5.7-3) unstable; urgency=low

  [ Christian Perrier ]
  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
  * French (Julien Patriarca).  Closes: #638821
  * Indonesian (Mahyuddin Susanto).  Closes: #657111
  * Polish (Michał Kułach).  Closes: #658180
  * Romanian (Andrei POPESCU).  Closes: #660615
  * Turkish (Mert Dirik).  Closes: #661513

  [ Gerrit Pape ]
  * debian/control: Standards-Version: 3.9.3.0.

 -- Gerrit Pape <pape@smarden.org>  Thu, 01 Mar 2012 00:09:45 +0000

dash (0.5.7-2) unstable; urgency=high

  * debian/diff/:
    - 0004-BUILTIN-Fix-test-x-as-root...diff: new; teach "test -x"


=== debian/control ===
Source: dash
Section: shells
Priority: optional
Maintainer: Gerrit Pape <pape@smarden.org>
Build-Depends: po-debconf, dpkg-dev (>= 1.16.1), debhelper (>= 10)
Standards-Version: 3.9.3.0
Homepage: http://gondor.apana.org.au/~herbert/dash/
Vcs-Git: https://salsa.debian.org/debian/dash.git

Package: dash
Architecture: any
Essential: yes
Priority: required
Pre-Depends: ${shlibs:Depends}
Depends: debianutils (>= 2.15), dpkg (>= 1.15.0)
Description: POSIX-compliant shell
 The Debian Almquist Shell (dash) is a POSIX-compliant shell derived
 from ash.
 .
 Since it executes scripts faster than bash, and has fewer library
 dependencies (making it more robust against software or hardware
 failures), it is used as the default system shell on Debian systems.

Package: ash
Architecture: all
Pre-Depends: dash
Description: compatibility package for dash
 This package allows upgrading ash to its replacement,
 dash. It includes the /bin/ash symlink.
 It can be removed as soon as /bin/ash is no longer used.

=== debian/rules ===
#!/usr/bin/make -f

CC =gcc
STRIP =strip

DEB_BUILD_MAINT_OPTIONS =hardening=+all
CFLAGS =$(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
  dpkg-buildflags --get CFLAGS)
LDFLAGS =$(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
  dpkg-buildflags --get LDFLAGS)
CPPFLAGS =$(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
  dpkg-buildflags --get CPPFLAGS)

BUILD_DATE := $(shell dpkg-parsechangelog | sed -n -e 's/^Date: //p')
DEB_HOST_GNU_TYPE =$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE =$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC =$(DEB_HOST_GNU_TYPE)-gcc
  STRIP =$(DEB_HOST_GNU_TYPE)-strip
endif

ifneq (,$(findstring diet,$(DEB_BUILD_OPTIONS)))
  CC =diet -v -Os gcc
  CFLAGS =-nostdinc -Wall
  CPPFLAGS =
  LDFLAGS =
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP =: strip
endif

DIR =$(shell pwd)/debian/dash
DIRA =$(shell pwd)/debian/ash

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-fnmatch --disable-lineno

PREINST_OBJECTS = debian/dash.preinst.o debian/dash.preinst-lib.o

$(PREINST_OBJECTS): %.o: %.c debian/dash.preinst.h
	$(CC) -c -o $@ $(CFLAGS) $<

debian/dash.preinst: $(PREINST_OBJECTS)
	$(CC) -o debian/dash.preinst $(CFLAGS) $(PREINST_OBJECTS)
	$(STRIP) -R .comment -R .note debian/dash.preinst

override_dh_auto_build: debian/dash.preinst po-templates
	dh_auto_build

po-templates:
	po2debconf debian/dash.templates.in >debian/dash.templates

.PHONY: po-templates  \
	  override_dh_auto_configure override_dh_auto_build

## dash 0.5.10.2

=== debian/changelog ===
dash (0.5.10.2-5) unstable; urgency=medium

  * Fix lintian overrides.
  * No longer check /bin/sh.distrib (Closes: #917313).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 17 Jan 2019 20:08:32 +0100

dash (0.5.10.2-4) unstable; urgency=medium

  * Move Gerrit to Uploaders since he’s going to be away for some time
    (Closes: #907085).
  * Add missing --no-rename in more places.
  * Handle the case when no package has diverted /bin/sh (Closes: #916900).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 20 Dec 2018 08:42:13 +0100

dash (0.5.10.2-3) unstable; urgency=medium

  [ You-Sheng Yang ]
  * Enable GitLab CI at Salsa.
  * debian/control: update Standard-Version to 4.2.1.
  * lintian: fix debhelper-but-no-misc-depends.
  * lintian: clean up debian/rules.

  [ Sven Joachim ]
  * Remove dash.preinst (Closes: #907132, #890073).

  [ Andrej Shadura ]
  * Use an explicit --no-rename of dpkg 1.19.1 (Closes: #890073, #916608).
  * Use sh_warnx, not warnx which is defined only in bltin.h.
  * Add #DEBHELPER# token to the prerm, ash.postrm, drop dash.postrm.
  * Add overrides for unusual-control-interpreter in prerm.
  * Delete no longer necessary ash.postinst (0.4.3 is no longer in the
    archive).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Dec 2018 11:28:12 +0100

dash (0.5.10.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.
  * d/control: Add Vcs-* field.

  [ Guillaume Charifi ]
  * dash.preinst: copy(): Do not die if the destination does not exist
    (Closes: #916038).

  [ You-Sheng Yang ]
  * Enable large file support when available (Closes: #916255).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 12 Dec 2018 10:42:22 +0100

dash (0.5.10.2-1) unstable; urgency=medium

  * New upstream version 0.5.10.2.
    Closes: #332954, #379227, #503840, #571952,
            #550756, #700232, #794965, #837789,
            #878697, #888226.
  * Refresh patches.
  * Use #!/bin/dash for prerm and postinst scripts (Closes: #907133).
  * Fix the ash.1 manpage link.
  * Add Multi-Arch: foreign (Closes: #710277).
  * Don’t leak fd in the fix for binary execution (Closes: #816313).
  * Avoid crash when redirecting to file descriptor in expredir
    (Closes: #861354).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 04 Sep 2018 19:17:01 +0200

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

DEB_BUILD_MAINT_OPTIONS =hardening=+all

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ifneq (,$(findstring diet,$(DEB_BUILD_OPTIONS)))
  CC =diet -v -Os gcc
  CFLAGS =-nostdinc -Wall
  CPPFLAGS =
  LDFLAGS =
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP =: strip
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-fnmatch --disable-lineno

override_dh_auto_build: po-templates
	dh_auto_build

po-templates:
	po2debconf debian/dash.templates.in >debian/dash.templates

.PHONY: po-templates  \
	  override_dh_auto_configure override_dh_auto_build

=== debian/watch ===
version=3
http://gondor.apana.org.au/~herbert/dash/files/dash-([\d.]+)\.tar\.gz

## dash 0.5.11+git20200708+dd9ef66

=== debian/changelog ===
dash (0.5.11+git20200708+dd9ef66-5) unstable; urgency=medium

  * Actually set PATH_MAX for Hurd.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 10 Dec 2020 14:23:19 +0100

dash (0.5.11+git20200708+dd9ef66-4) unstable; urgency=medium

  * Define PATH_MAX=4096 on Hurd.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 10 Dec 2020 10:55:18 +0100

dash (0.5.11+git20200708+dd9ef66-3) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * Don’t rely on /usr/share/man/man1/ existing (Closes: #974825).

  [ Andrej Shadura ]
  * Disable libc glob support (Closes: #974900, #976685).
  * Apply upstream patch:
    - jobs: Only block in waitcmd on first run (Closes: #974705, #975010).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 10 Dec 2020 10:07:56 +0100

dash (0.5.11+git20200708+dd9ef66-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 12 Nov 2020 08:58:00 +0100

dash (0.5.11+git20200708+dd9ef66-1) experimental; urgency=medium

  * New upstream snapshot
    (Closes: #541544, #541642, #692611, #930805).
  * Drop patches applied upstream.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 08 Aug 2020 15:13:49 +0200

dash (0.5.10.2-7) unstable; urgency=medium

  * Provide machine-readable copyright file.
  * Use debhelper-compat instead of debian/compat.
  * Use dh 12.
  * Drop nostrip handling, it is build into dh_strip.
  * Wrap and sort Build-Depends.
  * Change the privmode long option name to privileged to match bash.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 30 Mar 2020 11:45:13 +0200

dash (0.5.10.2-6) unstable; urgency=medium

  * Apply patch from Chris Lamb:
    - dash: Fix stack overflow from infinite recursion in script
      (Closes: #579815)
  * Apply upstream patches:
    - shell: Don't include config.h for native helpers
    - system: Disable glibc warning on sigsetmask
  * Apply patches proposed upstream:
    - options: Do not set commandname in procargs
    - histedit: Fix infinite loop when using 'fc -s'
      (Closes: #928072)
  * Update the CI pipeline (thanks to Iñaki Malerba).
  * Enable hardening for helpers.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Jul 2019 15:15:27 -0300

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

DEB_BUILD_MAINT_OPTIONS =hardening=+all

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS),hurd)
DEB_CPPFLAGS_MAINT_APPEND = -DPATH_MAX=4096
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq (,$(findstring diet,$(DEB_BUILD_OPTIONS)))
  CC =diet -v -Os gcc
  CFLAGS =-nostdinc -Wall
  CPPFLAGS =
  LDFLAGS =
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-fnmatch --disable-lineno --disable-glob

override_dh_auto_build: po-templates
	dh_auto_build

po-templates:
	po2debconf debian/dash.templates.in >debian/dash.templates

.PHONY: po-templates  \
	  override_dh_auto_configure override_dh_auto_build

## dash 0.5.11+git20200708+dd9ef66+really0.5.11+git20200708+dd9ef66

=== debian/changelog ===
dash (0.5.11+git20200708+dd9ef66+really0.5.11+git20200708+dd9ef66-5ubuntu1) hirsute; urgency=medium

  * Rename orig tarball to bump version over 0.5.11+git20200708+dd9ef66+really0.5.10.2
    which was used to revert dash to an earlier version to avoid a behaviour
    change that was believed to be regression (Debian bug #974705 )

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 05 Jan 2021 17:47:12 +0100

=== debian/control ===
Source: dash
Section: shells
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrej Shadura <andrewsh@debian.org>
Uploaders: Gerrit Pape <pape@smarden.org>
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1),
 po-debconf
Standards-Version: 4.2.1
Homepage: http://gondor.apana.org.au/~herbert/dash/
Vcs-Git: https://salsa.debian.org/debian/dash.git
Vcs-Browser: https://salsa.debian.org/debian/dash

Package: dash
Architecture: any
Multi-Arch: foreign
Essential: yes
Priority: required
Pre-Depends: ${shlibs:Depends}
Depends:
 debianutils (>= 2.15),
 dpkg (>= 1.19.1),
 ${misc:Depends},
Description: POSIX-compliant shell
 The Debian Almquist Shell (dash) is a POSIX-compliant shell derived
 from ash.
 .
 Since it executes scripts faster than bash, and has fewer library
 dependencies (making it more robust against software or hardware
 failures), it is used as the default system shell on Debian systems.

Package: ash
Architecture: all
Pre-Depends: dash
Depends:
 ${misc:Depends},
Description: compatibility package for dash
 This package allows upgrading ash to its replacement,
 dash. It includes the /bin/ash symlink.
 It can be removed as soon as /bin/ash is no longer used.

## dash 0.5.11+git20210120+802ebd4

=== debian/changelog ===
dash (0.5.11+git20210120+802ebd4-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:10:27 +0200

dash (0.5.11+git20210120+802ebd4-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop a patch applied upstream.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 04 Mar 2021 10:22:32 +0100

## dash 0.5.11+git20210903+057cd650a4ed

=== debian/changelog ===
dash (0.5.11+git20210903+057cd650a4ed-3build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:49:23 +0100

dash (0.5.11+git20210903+057cd650a4ed-3) unstable; urgency=medium

  * Revert "Enable libedit".
  * Revert "Re-enable LINENO support".

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 03 Nov 2021 11:51:39 +0100

dash (0.5.11+git20210903+057cd650a4ed-2) unstable; urgency=medium

  * Re-enable LINENO support (Closes: #842242)/
  * Enable libedit (Closes: #524839, #561663).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 02 Nov 2021 12:58:31 +0100

dash (0.5.11+git20210903+057cd650a4ed-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 29 Oct 2021 09:21:09 +0200

dash (0.5.11+git20210120+802ebd4-2) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * Support DPKG_ROOT.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 23 Oct 2021 11:44:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dash
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrej Shadura <andrewsh@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Uploaders: Gerrit Pape <pape@smarden.org>
 Build-Depends:
  debhelper-compat (= 12),

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,10 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-fnmatch --disable-lineno --disable-glob
+	dh_auto_configure -- \
+		--enable-fnmatch \
+		--disable-lineno \
+		--disable-glob
 
 override_dh_auto_build: po-templates
 	dh_auto_build

=== debian/tests/control ===
Tests: smoke
Depends: dash, perl
Restrictions: allow-stderr

## dash 0.5.12

=== debian/changelog ===
dash (0.5.12-2) unstable; urgency=medium

  * Fix the changelog entry.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 05 Jan 2023 14:20:48 +0100

dash (0.5.12-1) unstable; urgency=medium

  * New upstream release (Closes: #1017531, #1024635).
  * Refresh patches.
  * Apply upstream patches for hash, ulimit and manpages
    (Closes: #558607, #819829, #975325, #975326).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 05 Jan 2023 14:06:02 +0100

dash (0.5.11+git20210903+057cd650a4ed-9) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/tests/mmdebstrap: create chroot with the same apt sources as
    autopkgtest (Closes: #1016554).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 01 Sep 2022 16:11:54 +0200

dash (0.5.11+git20210903+057cd650a4ed-8) unstable; urgency=medium

  * Remove the remnants of the debconf shell question
    (Closes: #1007093, #1007241).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 14 Mar 2022 15:11:00 +0100

dash (0.5.11+git20210903+057cd650a4ed-7) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/tests/mmdebstrap: fix running on debci and add more comments.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 05 Mar 2022 11:32:15 +0100

dash (0.5.11+git20210903+057cd650a4ed-6) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/dash.postinst: fix missing ].
  * Add autopkgtest installing dash into a fresh chroot.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 04 Mar 2022 22:19:03 +0100

dash (0.5.11+git20210903+057cd650a4ed-5) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * dpkg-realpath has a /bin/sh shebang and can thus not be used when /bin/sh is temporarily not available.
  * debian/dash.postinst: restore DPKG_ROOT support.
  * debian/dash.postinst: Move check if dfile exists further up.
  * Closes: #1006771

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 04 Mar 2022 18:34:16 +0100

dash (0.5.11+git20210903+057cd650a4ed-4) unstable; urgency=medium

  [ Andrej Shadura ]
  * Stop using debconf to select the default /bin/sh.
  * Don’t use external fnmatch/glob.
  * Apply upstream patch to check executable bit when searching path
    (Closes: #874264)
  * Drop po files from debian/copyright.
  * Sort debian/copyright.
  * Update copyright years.

  [ Johannes Schauer Marin Rodrigues ]
  * Replace add-shell/remove-shell with declarative shells.d trigger
    (Closes: #1004172)
  * Allow downgrades to dash versions before it started using update-shells.
  * debian/dash.postinst: reproducible symlink mtime using symlink target
    mtime.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 03 Mar 2022 17:40:59 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Priority: required
 Pre-Depends: ${shlibs:Depends}
 Depends:
- debianutils (>= 2.15),
+ debianutils (>= 5.6-0.1),
  dpkg (>= 1.19.1),
  ${misc:Depends},
 Description: POSIX-compliant shell

=== debian/rules ===
--- 
+++ 
@@ -26,15 +26,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--enable-fnmatch \
+		--disable-fnmatch \
 		--disable-lineno \
 		--disable-glob
 
-override_dh_auto_build: po-templates
-	dh_auto_build
-
-po-templates:
-	po2debconf debian/dash.templates.in >debian/dash.templates
-
-.PHONY: po-templates  \
-	  override_dh_auto_configure override_dh_auto_build
+.PHONY: override_dh_auto_configure

=== debian/tests/control ===
Tests: smoke
Depends: dash, perl
Restrictions: allow-stderr

Tests: mmdebstrap
Depends: mmdebstrap, fakechroot, fakeroot
Restrictions: allow-stderr

## dash 0.5.12%2Bgit20240518%2Bf47009f9a76e

=== debian/watch ===
version=4

http://gondor.apana.org.au/~herbert/dash/files/dash-([\d.]+)\.tar\.gz

opts="mode=git, pgpmode=none, pretty=0.5.12+git%cd+%h, repack, compression=xz" \
 https://git.kernel.org/pub/scm/utils/dash/dash.git \
 HEAD

## dash 0.5.12+git20240518+f47009f9a76e

=== debian/changelog ===
dash (0.5.12+git20240518+f47009f9a76e-2) experimental; urgency=medium

  [ Helmut Grohne ]
  * Move files from / to /usr to finalize /usr-merge.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 06 Jun 2024 09:31:50 +0200

dash (0.5.12+git20240518+f47009f9a76e-1) experimental; urgency=medium

  [ Andrej Shadura ]
  * New upstream snapshot.
  * Rebase and fold patches, drop patches applied upstream.

  [ Helmut Grohne ]
  * Don't leak host CFLAGS into build compiler invocation (Closes: #1057339)

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 19 May 2024 14:23:22 +0200

dash (0.5.12-7) unstable; urgency=medium

  [ Andrej Shadura ]
  * Drop obsolete ash package (Closes: #920644)
  * Bump debhelper from old 12 to 13.
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.2.
  * Upstream patch:
    - Implement pipefail option (Closes: #1071238)

  [ Luca Boccassi ]
  * Drop versioned dependencies satisfied since Buster (Closes: #1057323)

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 17 May 2024 17:12:12 +0200

dash (0.5.12-6) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/tests/mmdebstrap: use copy-host-apt-sources-and-preferences hook.
     - use the hook provided by mmdebstrap instead of cooking up our own
       thing, thus preventing code duplication
     - this also copies over apt pinning rules which were missing before

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 21 Jun 2023 13:28:50 +0200

dash (0.5.12-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * dash.postinst: fix installing with --path-exclude=/usr/share/man/*
    (Closes: #1038067)

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 17 Jun 2023 12:34:23 +0200

dash (0.5.12-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 12 Jun 2023 16:17:05 +0200

dash (0.5.12-3) experimental; urgency=medium

  [ Andrej Shadura ]
  * Fix bug number in the patch description

  [ Helmut Grohne ]
  * dash.postinst: Remove upgrade path from pre-sarge ash. (Closes:
    #989419)
  * Remove unnecessary diversion in case /bin/sh points to dash. (Closes:
    #989632)

  [ Luca Boccassi ]
  * dash.postinst: remove unused function

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 30 Apr 2023 15:53:24 +0200

=== debian/control ===
Source: dash
Section: shells
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Uploaders: Gerrit Pape <pape@smarden.org>
Build-Depends:
 debhelper-compat (= 13),
 po-debconf
Standards-Version: 4.6.2
Homepage: http://gondor.apana.org.au/~herbert/dash/
Vcs-Git: https://salsa.debian.org/debian/dash.git
Vcs-Browser: https://salsa.debian.org/debian/dash
Rules-Requires-Root: no

Package: dash
Architecture: any
Multi-Arch: foreign
Essential: yes
Priority: required
Pre-Depends: ${shlibs:Depends}
Depends:
 debianutils (>= 5.6-0.1),
 ${misc:Depends},
Description: POSIX-compliant shell
 The Debian Almquist Shell (dash) is a POSIX-compliant shell derived
 from ash.
 .
 Since it executes scripts faster than bash, and has fewer library
 dependencies (making it more robust against software or hardware
 failures), it is used as the default system shell on Debian systems.

=== debian/rules ===
--- 
+++ 
@@ -30,4 +30,5 @@
 		--disable-lineno \
 		--disable-glob
 
+
 .PHONY: override_dh_auto_configure

## dash 0.9.3

=== DESCRIPTION ===
Package: dash
Title: An Interface to the Dash Ecosystem for Authoring Reactive Web
        Applications
Version: 0.9.3
Authors@R: c(person("Chris", "Parmer", role = c("aut"), email = "chris@plotly.com"), person("Ryan Patrick", "Kyle", role = c("aut"), comment = c(ORCID = "0000-0001-5829-9867"), email = "ryan@plotly.com"), person("Carson", "Sievert", role = c("aut"), comment = c(ORCID = "0000-0002-4958-2844")), person("Hammad", "Khan", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-2479-9841"), email = "hammadkhan@plotly.com"), person(family = "Plotly Technologies", role = "cph"))
Description: A framework for building analytical web applications, Dash offers a pleasant and productive development experience. No JavaScript required.
Depends: R (>= 3.0.2)
Imports: R6, fiery (> 1.0.0), routr (> 0.2.0), plotly, reqres (>=
        0.2.3), jsonlite, htmltools, assertthat, digest, base64enc,
        mime, crayon, brotli, glue, magrittr, methods, rlang, utils
Suggests: testthat (>= 3.0.0), rstudioapi
License: MIT + file LICENSE
Encoding: UTF-8
KeepSource: true
RoxygenNote: 7.1.1
URL: https://github.com/plotly/dashR
BugReports: https://github.com/plotly/dashR/issues
NeedsCompilation: no
Packaged: 2021-11-07 07:24:06 UTC; hammadtheone
Author: Chris Parmer [aut],
  Ryan Patrick Kyle [aut] (<https://orcid.org/0000-0001-5829-9867>),
  Carson Sievert [aut] (<https://orcid.org/0000-0002-4958-2844>),
  Hammad Khan [aut, cre] (<https://orcid.org/0000-0003-2479-9841>),
  Plotly Technologies [cph]
Maintainer: Hammad Khan <hammadkhan@plotly.com>
Repository: CRAN
Date/Publication: 2021-11-07 08:00:05 UTC
